[CustomMessages]
en.Aplay=&Play
en.Ainstall=&Install
en.AUnistall=&Uninstall
en.Aexit=&Exit

it.Aplay=&Gioca
it.AInstall=&Installa
it.AUnistall=&Disinstalla
it.Aexit=&Esci

es.Aplay=&Jugar
es.AInstall=&Instalar
es.AUnistall=&Desinstalar
es.Aexit=&Salida

de.Aplay=&Spielen
de.AInstall=&Installieren
de.AUnistall=&Deinstallieren
de.Aexit=&Ausfahrt

fr.Aplay=&Jouer
fr.AInstall=&Installer
fr.AUnistall=&Dsinstaller
fr.Aexit=&Sortie

[code]
var HForm: TSetupForm;
    AbgImage : TBitmapImage;
    Button1,Button2,Button3: TNewButton;
    #ifdef AMusicLoop
    MLabel: TLabel;
    #endif
    MCIstr: PChar;
    Install: Boolean;

const
    AWidth= 550;
    AHeight= 432;
    SND_OPT= $0;

procedure PIButtonOnClick(Sender: TObject);
Var ResultCode: integer;
    appath: string;

begin
 PlaySound(expandConstant('{tmp}\Click.wav'),0,SND_OPT);
 if TNewButton(sender).caption=ExpandConstant('{cm:AInstall}') then begin
 HForm.Close
 Install:=True;
 end else begin
 RegQueryStringValue(HKEY_LOCAL_MACHINE, 'SOFTWARE\Capcom\LOSTPLANET 2',
     'InstallDir', appath)
 if not Exec(appath+'Launcher.exe', '', '', SW_SHOW,
     ewNoWait, ResultCode) then MsgBox(SysErrorMessage(ResultCode)+': Launcher.exe', mbCriticalError, MB_OK)
     else begin
 HForm.Close;
 Install:=False;
 end;
 end;
end;

procedure ExitButtonOnClick(Sender: TObject);

begin
 PlaySound(expandConstant('{tmp}\Click.wav'),0,SND_OPT);
 HForm.Close
 Install:=False;
end;

procedure UnInstButtonOnClick(Sender: TObject);
Var ResultCode: integer;
    appath: string;
begin
PlaySound(expandConstant('{tmp}\Click.wav'),0,SND_OPT);
RegQueryStringValue(HKEY_LOCAL_MACHINE, 'SOFTWARE\Capcom\LOSTPLANET 2',
     'InstallDir', appath)
     Exec((appath +'unins000.exe'), '', '', SW_SHOW,
      ewNoWait, ResultCode)
HForm.Close
Install:=False;
end;

#ifdef AMusicLoop
procedure MLabelOnClick(Sender: TObject);

begin
      PlaySound(expandConstant('{tmp}\Click.wav'),0,$1);
Case TLabel(sender).caption of
     'Background Music: On': begin
      mciSendString('PAUSE AMusicLoop', MCIstr, 255, 0);
      TLabel(sender).caption:='Background Music: Off';
      end;
      'Background Music: Off': begin
      mciSendString('PLAY AMusicLoop REPEAT', MCIstr, 255, 0);
      TLabel(sender).caption:='Background Music: On';
      end;
end;
end;
#endif

function LaunchAutorun: Boolean;

begin
#ifdef AMusicLoop
ExtractTemporaryFile('{#Autorunmp3filename}');
#endif
ExtractTemporaryFile('{#ClickSoundfilename}');
ExtractTemporaryFile('AutorunBGI.BMP');
HForm:=CreateCustomForm;

With HForm Do
Begin
ClientWidth:=AWidth;
ClientHeight:=AHeight;
Position := poScreenCenter;
BorderIcons := [];
Caption:='{#AppName} - Autorun';
end;

AbgImage:=TBitmapImage.Create(HForm);
With AbgImage Do
Begin
Parent:=HForm;
Align:=alClient;
Stretch:=True;
end;
AbgImage.bitmap.LoadFromFile(ExpandConstant('{tmp}\AutorunBGI.BMP'));

Button1:=TNewButton.Create(HForm);
With Button1 Do
Begin
Parent:=HForm;
Left:= 12;
Top:=344;
Width:=184;
Cursor:=crHand;
Font.Name:='Lucida Console';
Font.Size:= 10;
OnClick := @PIButtonOnClick;
if RegKeyExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Capcom\LOSTPLANET 2') then Caption:=ExpandConstant('{cm:APlay}') else Caption:=ExpandConstant('{cm:AInstall}');
end;

Button2:=TNewButton.Create(HForm);
With Button2 Do
Begin
Parent:=HForm;
Caption:=ExpandConstant('{cm:AUnistall}');
Left:=Button1.Left;
Top:=371;
Width:=Button1.Width;
Cursor:=crHand;
Font.Name:='Lucida Console';
Font.Size:= 10;
OnClick := @UnInstButtonOnClick;
if RegKeyExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Capcom\LOSTPLANET 2') then Enabled:=True else Enabled:=False;
end;

Button3:=TNewButton.Create(HForm);
With Button3 Do
Begin
Parent:=HForm;
Caption:=ExpandConstant('{cm:Aexit}');
Left:=Button1.Left;
Top:=398;
Width:=Button1.Width;
Cursor:=crHand;
Font.Name:='Lucida Console';
Font.Size:= 10;
OnClick := @ExitButtonOnClick;
end;

#ifdef AMusicLoop
MLabel:=TLabel.Create(HForm);
With MLabel Do
Begin
Parent:=HForm;
Transparent:=True;
Left:=5;
Top:=5;
Font.Color:=$0fd3af;
Width:=Button2.Width;
Height:=Button2.Height;
Caption:='Background Music: On';
Font.Name:='Arial';
Font.Style:=[fsBold];
Font.Size:= 7;
Cursor:=crHand;
OnClick := @MLabelOnClick;
end;
#endif

#ifdef AMusicLoop
mciSendString('OPEN ' + ExpandConstant('{tmp}') + '\{#Autorunmp3filename} TYPE MPEGVIDEO ALIAS AMusicLoop', MCIstr, 255, 0);
mciSendString('PLAY AMusicLoop REPEAT', MCIstr, 255, 0);
#endif
HForm.ShowModal;
#ifdef AMusicLoop
mciSendString('STOP AMusicLoop', MCIstr, 255, 0);
#endif
HForm.Free;
Result:=Install;
end;

